extends Node3D

var busy: bool = false

# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	pass # Replace with function body.

func choose_spawn_location() -> Vector3:
	busy = true
	return global_position
